LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Typedefs | Variables
profile.hxx File Reference
`#include "profile.h"`
`#include <rtl/ustring.hxx>`
`#include <string.h>`
`#include <list>`

Go to the source code of this file.

## Classes
class | osl::Profile
| Deprecated API. More...

## Namespaces
| osl

## Typedefs
typedef oslProfileOption | osl::ProfileOption

## Variables
const int | osl::Profile_DEFAULT = osl_Profile_DEFAULT
const int | osl::Profile_SYSTEM = osl_Profile_SYSTEM
const int | osl::Profile_READLOCK = osl_Profile_READLOCK
const int | osl::Profile_WRITELOCK = osl_Profile_WRITELOCK